{
  "name": "@nexscript/nexc",
  "version": "1.0.0",
  "description": "Compile Bitcoin Cash contracts to Bitcoin Cash Script or artifacts",
  "keywords": [
    "bitcoin",
    "nexa",
    "nexscript",
    "compiler",
    "smart contracts"
  ],
  "homepage": "https://nexscript.org",
  "bugs": {
    "url": "https://gitlab.com/otoplo/nexscript/issues"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/otoplo/nexscript.git"
  },
  "license": "MIT",
  "author": "Rosco Kalis <roscokalis@gmail.com>",
  "contributors": [
    "Gabriel Cardona <gabriel@bitcoin.com>"
  ],
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "type": "module",
  "sideEffects": false,
  "bin": {
    "nexc": "dist/nexc-cli.js"
  },
  "directories": {
    "lib": "src",
    "test": "test"
  },
  "scripts": {
    "antlr": "antlr4ts -visitor -no-listener src/grammar/CashScript.g4",
    "postantlr": "find src/grammar -type f -name '*.ts' | xargs sed -i '' 's|\\(import .* \".*/.*\\)\";|\\1\\.js\";|g'",
    "build": "yarn clean && yarn compile",
    "build:test": "yarn clean:test && yarn compile:test && cpy './test/**/*.nex' ./dist-test/test",
    "clean": "rm -rf ./dist",
    "clean:test": "rm -rf ./dist-test",
    "compile": "tsc -p tsconfig.build.json",
    "compile:test": "tsc -p tsconfig.test.json",
    "lint": "eslint . --ext .ts --ignore-path ../../.eslintignore",
    "prepare": "yarn build",
    "prepublishOnly": "yarn test && yarn lint",
    "pretest": "yarn build:test",
    "test": "NODE_OPTIONS='--experimental-vm-modules --no-warnings' jest"
  },
  "dependencies": {
    "@bitauth/libauth": "^2.0.0-alpha.8",
    "@nexscript/utils": "^1.0.0",
    "antlr4ts": "^0.5.0-alpha.4",
    "commander": "^7.1.0",
    "semver": "^7.3.4"
  },
  "devDependencies": {
    "@jest/globals": "^29.4.1",
    "@types/node": "^18.11.18",
    "@types/semver": "^7.3.4",
    "antlr4ts-cli": "^0.5.0-alpha.4",
    "cpy-cli": "^4.2.0",
    "eslint": "^7.20.0",
    "jest": "^29.4.1",
    "typescript": "^4.1.5",
    "url-join": "^5.0.0"
  }
}
